Subject: [MBONED] Review of draft-ietf-mboned-dc-deploy

From: Jordan Head <[email-masked]>
Date: Tue, 28 Jul 2020 16:19:31 +0000

All,

I read through this draft and have some comments to share.

My feedback generally echoes Jake's feedback (https://mailarchive.ietf.org/arch/msg/mboned/Vqa9eplsLp3jij6oS3jD5BEoGcE/).  I think the draft should move forward as it does talk about some excellent technical considerations for operators.  However, it is also difficult to parse and took me a couple of reads to really glean those insights.  The draft would benefit greatly from being more direct and succinct.

The document seemed disjointed when I first read it.  I couldn't determine what the primary message was.  The abstract and introduction mentioned that "The volume and importance of one-to-many traffic patterns in data centers is likely to increase significantly in the future".  It didn't however, mention why the increase is important within a datacenter.  This doesn't entice me to keep reading, but confuses me as to where it is going.  After re-reading it, I don't find that the increase in one-to-many traffic flows is the message, but the fact that multicast in a modern datacenter requires lots of additional consideration for various reasons.

The details surrounding those reasons are scattered too far across the document and requires constant context switching and re-reading.  I think using an example (like IPTV) is a great idea, it adds credibility and helps connect the reader to the draft.  However in order to stitch the IPTV example (and others) together, I have to read and re-read sections 2.1, 3.1, 3.2, and 3.3.  Only upon reaching section 3.4 do I see why the associated protocols (PIM and IGMP) might have disadvantages in the datacenter, which I then have to connect back to the IPTV concept itself.  If the reader is not already familiar with the intricacies of how IPTV works end-to-end, then they're not going to connect with the example and end up frustrated.

Thanks
Jordan Head

Non-Juniper